"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const set_1 = require("./set");
class affine_space_t {
    constructor(the) {
        this.eq = this.vectors.eq;
        this.id = this.vectors.id;
        this.add = this.vectors.add;
        this.neg = this.vectors.neg;
        this.scale = this.vectors.scale;
        this.points = the.points;
        this.vectors = the.vectors;
        this.trans = the.trans;
        this.diff = the.diff;
    }
    vector_id_action(p) {
        set_1.eqv(this.points, this.trans(p, this.id), p);
    }
    vector_action(p, v, w) {
        set_1.eqv(this.points, this.trans(this.trans(p, v), w), this.trans(p, this.add(v, w)));
    }
    weyl_s_axiom(a, b, c) {
        set_1.eqv(this.vectors, this.add(this.diff(c, b), this.diff(b, a)), this.diff(c, a));
    }
}
exports.affine_space_t = affine_space_t;
//# sourceMappingURL=affine-space.js.map