import * as int from "./int";
import * as cx from "./cell-complex";
export declare function boundary_vector(com: cx.cell_complex_t, cell: cx.cell_t): int.vector_t;
export declare function boundary_matrix(com: cx.cell_complex_t, dim: number): int.matrix_t;
export declare function homology_diag_canonical(com: cx.cell_complex_t, dim: number): int.matrix_t;
export declare function euler_characteristic(com: cx.cell_complex_t): number;
export declare function betti_number(diag_canonical: int.matrix_t): number;
export declare function torsion_coefficients(diag_canonical: int.matrix_t): Array<number>;
export declare function report(com: cx.cell_complex_t): any;
