import { set_t } from "./set";
import { vector_space_t } from "./module";
export declare class affine_space_t<F, V, P> {
    points: set_t<P>;
    vectors: vector_space_t<F, V>;
    trans: (p: P, v: V) => P;
    diff: (p: P, q: P) => V;
    constructor(the: {
        points: set_t<P>;
        vectors: vector_space_t<F, V>;
        trans: (p: P, v: V) => P;
        diff: (p: P, q: P) => V;
    });
    eq: (x: V, y: V) => boolean;
    id: V;
    add: (x: V, y: V) => V;
    neg: (x: V) => V;
    scale: (a: F, x: V) => V;
    vector_id_action(p: P): void;
    vector_action(p: P, v: V, w: V): void;
    weyl_s_axiom(a: P, b: P, c: P): void;
}
