import { dic_t } from "./dic";
export declare type id_t = number;
export declare class edge_t {
    start: id_t;
    end: id_t;
    constructor(start: id_t, end: id_t);
}
export declare class graph_t {
    vertex_count: number;
    edge_dic: dic_t<id_t, edge_t>;
    constructor(vertex_count: number, edge_dic: dic_t<id_t, edge_t>);
}
