import { set_t } from "./set";
export declare class monoid_t<G> {
    elements: set_t<G>;
    id: G;
    mul: (x: G, y: G) => G;
    constructor(the: {
        elements: set_t<G>;
        id: G;
        mul: (x: G, y: G) => G;
    });
    assoc(x: G, y: G, z: G): void;
    id_left(x: G): void;
    id_right(x: G): void;
}
export declare class group_t<G> extends monoid_t<G> {
    inv: (x: G) => G;
    constructor(the: {
        elements: set_t<G>;
        id: G;
        mul: (x: G, y: G) => G;
        inv: (x: G) => G;
    });
    div(x: G, y: G): G;
    id_inv(x: G): void;
}
export declare class abelian_group_t<G> extends group_t<G> {
    add: (x: G, y: G) => G;
    neg: (x: G) => G;
    constructor(the: {
        elements: set_t<G>;
        id: G;
        add: (x: G, y: G) => G;
        neg: (x: G) => G;
    });
    sub(x: G, y: G): G;
    commu(x: G, y: G): void;
}
