"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const cx = __importStar(require("./cell-complex"));
class path_t extends cx.cell_complex_t {
}
exports.path_t = path_t;
class solid_polygon_t extends cx.cell_complex_t {
}
exports.solid_polygon_t = solid_polygon_t;
class glob_t extends cx.morphism_t {
}
exports.glob_t = glob_t;
class globular_t extends cx.cell_complex_t {
}
exports.globular_t = globular_t;
/**
 * `glob_t` is the basic object of higher algebra.
 * But, to get homological chain after abelianization,
 * we need array of glob, instead of one glob.
 */
class chain_t {
    constructor(dim, com) {
        this.dim = dim;
        this.com = com;
        this.glob_array = new Array();
    }
}
exports.chain_t = chain_t;
//# sourceMappingURL=homotopy.js.map